Subject: Re: Intel 82559 NIC corrupted EEPROM

From: John <[email-masked]>
Date: Wed, 29 Nov 2006 12:26:20 +0100

Jesse Brandeburg wrote:

> John wrote:
> 
>> Here is some context for those who have been added to the CC list:
>> http://groups.google.com/group/linux.kernel/browse_frm/thread/bdc8fd08fb601c26
>>
>> As far as I understand, some consider the eepro100 driver to be
>> obsolete, and it has been considered for removal.
>>
>> What is the current status?
>>
>> Unfortunately, e100 does not work out-of-the-box on this system.
>>
>> Is there something I can do to improve the situation?
> 
> Let's go ahead and print the output from e100_load_eeprom
> debug patch attached.

Loading (then unloading) e100.ko fails the first few times (i.e. the 
driver claims one of the EEPROMs is corrupted). Thereafter, sometimes it 
fails, other times it works. Sounds like a race, no?

$ cat load_unload
: > /var/log/kern.log
insmod e100.ko debug=16
sleep 1
cp /var/log/kern.log insmod_$I.txt
ip link > ip_link_$I.txt
sleep 2
rmmod e100
let "I=I+1"

(cf. attached compressed archive)

FAILURE:
insmod_100.txt
insmod_101.txt
insmod_102.txt
insmod_105.txt
insmod_107.txt
insmod_108.txt
insmod_110.txt
insmod_111.txt
insmod_114.txt

SUCCESS:
insmod_103.txt
insmod_104.txt
insmod_106.txt
insmod_109.txt
insmod_112.txt
insmod_113.txt
insmod_115.txt
insmod_116.txt

On an unrelated note, insmod_100.txt is truncated at the beginning, and 
insmod_110.txt is truncated in the middle (!!) cf. line 14. What would 
cause klogd to behave like that?

Regards.